<?php

namespace Drupal\config_sync;

/**
 * The ConfigSyncSnapshotter provides helper functions for taking snapshots of
 * extension-provided configuration.
 */
interface ConfigSyncSnapshotterInterface {

  /**
   * Takes a snapshot of configuration from specified modules or themes.
   *
   * Only new or changed items are added.
   *
   * @param $type
   *   The type of extension to snapshot.
   * @param array $names
   *   An array of extension names.
   */
  public function refreshExtensionSnapshot($type, array $names);

  /**
   * Takes a snapshot of configuration from all installed modules and themes.
   */
  public function createSnapshot();

}
